Skip to navigation

Update the hostname of a virtual machine

Updates the hostname of a virtual machine. The VM must be stopped and started for the change to take effect.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the virtual machine

Query parameters

hostnamestringRequired
The new hostname for the virtual machine. It must be 1 to 63 characters, start with a letter, end with a letter or a digit, and hold only letters, digits and hyphens.

Response

The hostname has been updated successfully
idstringformat: "uuid"
Virtual machine ID.
hostnamestringformat: "hostname"

The newly-set hostname.

statusstring
Status of the hostname update.
messagestringOptional
Reminder that the VM must be stopped and started for the change to take effect.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error